function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(8128);

end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	if sender==8 then

		if obj==1003 then
			RemoveFromMouse(1003);
			SetObjectPosition(1003,410,146);	
		return;end;	
		if obj==1010 then
			RemoveFromMouse(1010);
			SetObjectPosition(1003,410,146);
			flags.powder=false;
			speciale_action(2,1003)
			speciale_action(2,1010);			
		return;end;
	
	return;end;	
	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;		
	BlockCursor(false);
	return;end;
	if sender==30 then
	     RemoveFromMouse(obj);
		setcurentleaf("photolab",16,0);		
		--Emitters(true);
		DarkScreen(false);
		if flags.glass then
			speciale_action(2,30,true);
			flags.glass=false;
			Set_Cursor(30,2)	
		end;
		if flags.minicomplete then
		    StopEmiter("Powder");
			flags.minitext1=true;
			speciale_action(2,24,true);
			Set_Cursor(24,2);		
			
			Set_Cursor(27,3);

		
		return;end;	

		-- loadresource("data\\2\\1\\0024.png","a0101",101);
		-- addactivobjecttogame(101,"a0101",0,2000,"","");
		-- AddElement("gr",101);
		-- MoveObjectToTree(101);	
		
	return; end;
	
	if sender==36 then
	if id==2100 then
	    BlockCursor(false)
		clear_satelite_leaf("photolab");
	return;end;	
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
	    RemoveFromMouse(attachedID);
		playeffect("miniC");
		flags.minicomplete=true;
		StartTimer(2100,2)
		BlockCursor(true)
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"1",100,"messageinfo")
		return;end;			

		if id==1004 then
			if attachedID==1003 then
				playeffect("Brush");
				flags.powder=true;
				RemoveFromMouse(1003);
				SetObjectPosition(1003,410,146);
				speciale_action(2,1003)
				speciale_action(2,1010);
				addObjectToMouse(1010);
				obj=1010;
			return;end;
		return;end;

		
		if flags.powder then 

			if id==1008 then
				if attachedID==1010 and not ffingerprint then
					playeffect("Brush");
					speciale_action(2,1005,true)
					flags.powder=false;
					RemoveFromMouse(1010);
					SetObjectPosition(1010,410,146);
					speciale_action(2,1010)
					speciale_action(2,1003)
					ffingerprint=true;
				return;end;	
			return;end;		
			if attachedID==1010 then
				flags.powder=false;
				RemoveFromMouse(1010);
				SetObjectPosition(1010,410,146);	
				speciale_action(2,1010)
				speciale_action(2,1003)				
			return;end;				
		return;end;				

		if attachedID==-1 then
		
			if id==5000 and skipping then
				if not flags.minicomplete then
					playeffect("skip");
					finish_mini_game(true);
				if not fingerprint1 then

					speciale_action(2,1001,true);

				return;end;						
				return;end;	
			return;end;	
			
			if id==1000  then
				playeffect("close");
				clear_satelite_leaf("photolab");
				finish_mini_game(false);
				DeleteResource("m1_btn");
				DeleteResource("m1_fingerprint1");
				DeleteResource("m1_fingerprint2");
				DeleteResource("m1_brush");
				DeleteResource("m1_powder");
				DeleteResource("m1_fingerprinton1");
				DeleteResource("m1_fingerprinton2");
				DeleteResource("m1_glass");
				DeleteResource("m1_pipe");
				DeleteResource("m1_bg");
				DeleteResource("m1_powderbrush");
			return;end;  
			
			if id==1003 then		
				addObjectToMouse(id);
				obj=id;
			return;end;

			if id==1005 then
			if not fingerprint1 then
				speciale_action(2,1005,true);
				speciale_action(2,1001,true);
				finish_mini_game(true);
--				fingerprint1=true;
			return;end;		
			return;end;	
			
			-- if id==1001 or id==1002 then
				-- if fingerprint1 then
					-- finish_mini_game(true);
				-- return;end;
			-- return;end;			
		return;end;
		if attachedID==1003 then
			RemoveFromMouse(1003);
			SetObjectPosition(1003,410,146);			
		return;end;			
	return;end;
			
end;
function mini_delete ()

end;